in scala.xml.dtd
class PublicID

`case class` PublicID
  `extends` scala.xml.dtd.ExternalID
  `with` scala.xml.parsing.TokenTests
  `with` scala.ScalaObject
  `with` scala.Product

  a public identifier

Author:
  Burak Emir

Constructor Summary
| `def` this (publicId: java.lang.String, systemId: java.lang.String)

Val Summary
| `val` publicId : java.lang.String
| `val` systemId : java.lang.String

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` arity : scala.Int
| `def` attribute : scala.xml.MetaData always empty
| `def` child : scala.Nil.type always empty
`final` `override` | `def` element (x$1: scala.Int) : scala.Any
`override` | `def` equals (x$1: scala.Any) : scala.Boolean
`override` | `def` hashCode : scala.Int
| `def` label : java.lang.String the constant "#PI"
`final` `override` | `def` productPrefix : java.lang.String
`override` | `def` toString (sb: scala.compat.StringBuilder) : scala.compat.StringBuilder appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument

Def inherited from scala.xml.dtd.ExternalID
systemId , toString, toString

Def inherited from scala.xml.parsing.TokenTests
checkPubID , checkSysID, isName, isNameChar, isNameStart, isPubIDChar, isSpace, isSpace, isValidIANAEncoding

Def inherited from scala.Product
arity , element, productPrefix

Constructor Detail

`def` this (publicId: java.lang.String, systemId: java.lang.String)

Parameters:
  `publicLiteral -` the public identifier literal
Parameters:
  `systemLiteral -` (can be null for notation pubIDs) the system identifier literal

Val Detail

`val` publicId : java.lang.String

`val` systemId : java.lang.String

Def Detail

`final override def` $tag : scala.Int

`final override def` arity : scala.Int

`def` attribute : scala.xml.MetaData

  always empty

`def` child : scala.Nil.type

  always empty

`final override def` element (x$1: scala.Int): scala.Any

`override def` equals (x$1: scala.Any): scala.Boolean

`override def` hashCode : scala.Int

`def` label : java.lang.String

  the constant "#PI"

`final override def` productPrefix : java.lang.String

`override def` toString (sb: scala.compat.StringBuilder): scala.compat.StringBuilder

  appends "PUBLIC "+publicId+" SYSTEM "+systemId to argument